# fixme?:
# R-Rmpi.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rmpi/cslavePI.c
# R-Rmpi.x86_64: E: incorrect-fsf-address /usr/share/doc/R-Rmpi-0.6.3/README

%global packname  Rmpi
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.6.6
Release:          1%{?dist}
Summary:          Interface (Wrapper) to MPI (Message-Passing Interface)

Group:            Applications/Engineering 
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_0.6-6.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-parallel openmpi
BuildRequires:    R-core-devel openmpi-devel
# load test is suppressed
# BuildRequires:   R-parallel 

%description
Rmpi provides an interface (wrapper) to MPI APIs.  It also provides
an interactive R slave environment.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir} %{buildroot}%_libdir/openmpi
%_openmpi_load
# --no-test-load because it fails in mock with an openmpi error I haven't
# figured out.  Worked outside mock.
%{_bindir}/R CMD INSTALL --no-test-load --configure-args="--with-Rmpi-type=OPENMPI --with-Rmpi-libpath=$MPI_LIB --with-Rmpi-include=$MPI_INCLUDE" -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
mv %{buildroot}/%{rlibdir}/%{packname}/libs %{buildroot}%_libdir/openmpi/lib

%check
# OMPI_MCA_orte_allocation_required=0 OMPI_MCA_btl=sm,self \
#   %{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc Rmpi/README
%{rlibdir}/%{packname}
%_libdir/openmpi/lib/Rmpi.so


%changelog
* Mon Jul 11 2016 Dave Love <loveshack@fedoraproject.org> - 0.6.6-1
- New version

* Thu Jul 31 2014 Dave Love <d.love@liverpool.ac.uk> - 0.6.3-2
- Fix installation

* Mon May 12 2014 Dave Love <d.love@liverpool.ac.uk> 0.6.3-1
- initial package for Fedora
